summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile3
-rw-r--r--distrib/sets/Makefile8
-rw-r--r--distrib/sets/makelocatedb20
3 files changed, 30 insertions, 1 deletions
diff --git a/Makefile b/Makefile
index 3657fb79a..1015afc1d 100644
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.57 2014/04/18 10:02:45 schwarze Exp $
+# $OpenBSD: Makefile,v 1.58 2014/07/10 07:13:13 espie Exp $
.include <bsd.own.mk>
.include <bsd.xconf.mk>
@@ -53,6 +53,7 @@ beforeinstall beforebuild:
afterinstall afterbuild:
exec ${MAKE} fix-appd
/usr/sbin/makewhatis -Qv ${DESTDIR}/usr/X11R6/man
+ cd distrib/sets && exec ${MAKE}
install-mk:
cd share/mk && exec ${MAKE} X11BASE=${X11BASE} install
diff --git a/distrib/sets/Makefile b/distrib/sets/Makefile
new file mode 100644
index 000000000..c32ce3bee
--- /dev/null
+++ b/distrib/sets/Makefile
@@ -0,0 +1,8 @@
+# $OpenBSD: Makefile,v 1.1 2014/07/10 07:13:13 espie Exp $
+
+DB = /usr/X11R6/lib/locate/xorg.db
+
+makedb:
+ MACHINE=${MACHINE} /bin/sh ${.CURDIR}/makelocatedb ${OSrev} >${DESTDIR}${DB}
+
+.PHONY: makedb
diff --git a/distrib/sets/makelocatedb b/distrib/sets/makelocatedb
new file mode 100644
index 000000000..834a12402
--- /dev/null
+++ b/distrib/sets/makelocatedb
@@ -0,0 +1,20 @@
+#!/bin/sh
+# $OpenBSD: makelocatedb,v 1.1 2014/07/10 07:13:13 espie Exp $
+
+# xy
+RELEASE=$1
+
+if [ "X${RELEASE}" = "X" ]; then
+ echo "Usage: `basename $0` <OSREVISION>"
+ exit 1
+fi
+
+pwd=`pwd`
+listsdir=`pwd`/lists
+
+lists=`sh ./genlists $arch`
+
+for setname in $lists; do
+ (cd $pwd; sh gensetlist $setname) | \
+ sed -e "s,^\.,${setname}${RELEASE}:,"
+done | sort | /usr/libexec/locate.mklocatedb